<script setup lang="ts">
import TodoList from './components/TodoList.vue'
import axios from "axios";
import {onMounted, ref} from "vue";

const myTodos = ref<string[]>([]);
onMounted(()=>{
  axios.get<string[]>('https://random-word-api.herokuapp.com/word', {
    params: {
      number: 5,
      length: 6
    }
  }).then((response) => {
    myTodos.value = response.data
  })
})

</script>

<template>
  <TodoList :existing-todos="myTodos"/>
</template>

<style scoped>
</style>
